API Reference for Marketo Engage

Create Token

POST /rest/asset/v1/folder/{id}/tokens.json

Create or update a token in the parent folder.

Operation ID
addTokenTOFolderUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfTokenResponse

Parameters

Path 1

id integer (int32) required

Id of the folder to which the token will be associated with

Request body

application/x-www-form-urlencoded · required · CreateTokenRequest · 4 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

folderType string required

Type of folder. 'Folder' or 'Program'

Values Program Folder

name string required

Name of the token. Max length is 50 characters)

type string required

Type of the token

Values date number rich text score sfdc campaign text

value string required

Value of the token

Responses

200 OK ResponseOfTokenResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of TokenResponse

Model TokenResponse

folder string required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

tokens array of TokenDTO

List of tokens in the folder

Model TokenDTO

computedUrl string
name string
type string
value string
success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "folder": "{\"id\":1001,\"type\":\"Program\"}",
      "tokens": [
        {
          "computedUrl": "https://example.com",
          "name": "Example name",
          "type": "string",
          "value": "string"
        }
      ]
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results